Index: cprs/branches/foia-cprs/CPRS-Chart/fReports.dfm
===================================================================
--- cprs/branches/foia-cprs/CPRS-Chart/fReports.dfm	(revision 459)
+++ cprs/branches/foia-cprs/CPRS-Chart/fReports.dfm	(revision 460)
@@ -1,7 +1,7 @@
 inherited frmReports: TfrmReports
-  Left = 215
-  Top = 126
-  Width = 786
-  Height = 377
+  Left = 456
+  Top = 200
+  Width = 725
+  Height = 654
   HelpContext = 9000
   Caption = 'Reports Page'
@@ -12,22 +12,25 @@
   TextHeight = 13
   inherited shpPageBottom: TShape
-    Top = 340
-    Width = 778
+    Top = 617
+    Width = 717
     Height = 10
   end
   inherited sptHorz: TSplitter
     Left = 119
-    Height = 340
+    Height = 617
+    OnMoved = sptHorzMoved
   end
   inherited pnlLeft: TPanel
     Width = 119
-    Height = 340
+    Height = 617
     object Splitter1: TSplitter
       Left = 0
-      Top = 91
+      Top = 259
       Width = 119
-      Height = 10
+      Height = 6
       Cursor = crVSplit
       Align = alBottom
+      Color = clBtnFace
+      ParentColor = False
       OnCanResize = Splitter1CanResize
     end
@@ -36,5 +39,5 @@
       Top = 0
       Width = 119
-      Height = 91
+      Height = 259
       Align = alClient
       BevelOuter = bvNone
@@ -57,5 +60,5 @@
         Top = 19
         Width = 119
-        Height = 72
+        Height = 240
         Align = alClient
         HideSelection = False
@@ -73,15 +76,17 @@
     object pnlLeftBottom: TPanel
       Left = 0
-      Top = 201
+      Top = 365
       Width = 119
-      Height = 139
+      Height = 252
       Align = alBottom
+      Anchors = [akLeft, akTop, akRight, akBottom]
       BevelOuter = bvNone
       TabOrder = 1
+      Visible = False
       object lblQualifier: TOROffsetLabel
         Left = 0
         Top = 0
         Width = 119
-        Height = 20
+        Height = 13
         Align = alTop
         HorzOffset = 3
@@ -92,5 +97,5 @@
       object lblHeaders: TLabel
         Left = 0
-        Top = 20
+        Top = 13
         Width = 119
         Height = 13
@@ -102,7 +107,7 @@
       object lstHeaders: TORListBox
         Left = 0
-        Top = 33
-        Width = 119
-        Height = 106
+        Top = 26
+        Width = 119
+        Height = 226
         Align = alClient
         ItemHeight = 13
@@ -119,7 +124,7 @@
       object lstQualifier: TORListBox
         Left = 0
-        Top = 33
-        Width = 119
-        Height = 106
+        Top = 26
+        Width = 119
+        Height = 226
         Style = lbOwnerDrawFixed
         Align = alClient
@@ -135,8 +140,90 @@
         TabPositions = '10'
       end
+      object pnlViews: TORAutoPanel
+        Left = 0
+        Top = 26
+        Width = 119
+        Height = 226
+        Align = alClient
+        BevelOuter = bvNone
+        TabOrder = 3
+        Visible = False
+        object pnlTopViews: TPanel
+          Left = 0
+          Top = 0
+          Width = 119
+          Height = 80
+          Align = alTop
+          BevelOuter = bvNone
+          TabOrder = 0
+          DesignSize = (
+            119
+            80)
+          object lblDateRange: TLabel
+            Left = 0
+            Top = 63
+            Width = 58
+            Height = 13
+            Anchors = [akLeft, akTop, akRight]
+            Caption = 'Date Range'
+          end
+          object chkDualViews: TCheckBox
+            Left = 0
+            Top = 0
+            Width = 121
+            Height = 17
+            Anchors = [akLeft, akTop, akRight]
+            Caption = 'Split Views'
+            TabOrder = 0
+            OnClick = chkDualViewsClick
+          end
+          object btnGraphSelections: TORAlignButton
+            Left = 0
+            Top = 20
+            Width = 119
+            Height = 21
+            Anchors = [akLeft, akTop, akRight]
+            Caption = 'Select/Define...'
+            TabOrder = 1
+            OnClick = btnGraphSelectionsClick
+          end
+          object btnChangeView: TORAlignButton
+            Left = 0
+            Top = 41
+            Width = 119
+            Height = 21
+            Anchors = [akLeft, akTop, akRight]
+            Caption = 'Settings...'
+            TabOrder = 2
+            OnClick = btnChangeViewClick
+          end
+        end
+        object lstDateRange: TORListBox
+          Left = 0
+          Top = 80
+          Width = 119
+          Height = 146
+          Align = alClient
+          Font.Charset = DEFAULT_CHARSET
+          Font.Color = clWindowText
+          Font.Height = -11
+          Font.Name = 'MS Sans Serif'
+          Font.Style = []
+          ItemHeight = 13
+          ParentFont = False
+          ParentShowHint = False
+          ShowHint = True
+          TabOrder = 1
+          OnClick = lstDateRangeClick
+          ItemTipColor = clWindow
+          LongList = False
+          Pieces = '2'
+          TabPositions = '10'
+        end
+      end
     end
     object pnlProcedures: TPanel
       Left = 0
-      Top = 101
+      Top = 265
       Width = 119
       Height = 100
@@ -144,4 +231,5 @@
       BevelOuter = bvNone
       TabOrder = 2
+      Visible = False
       object lblProcedures: TOROffsetLabel
         Left = 0
@@ -151,5 +239,7 @@
         Align = alTop
         Caption = 'Radiology Procedures'
+        Color = clBtnFace
         HorzOffset = 2
+        ParentColor = False
         Transparent = False
         VertOffset = 2
@@ -178,10 +268,10 @@
   inherited pnlRight: TPanel
     Left = 123
-    Width = 655
-    Height = 340
+    Width = 594
+    Height = 617
     object sptHorzRight: TSplitter
       Left = 0
       Top = 177
-      Width = 655
+      Width = 594
       Height = 4
       Cursor = crVSplit
@@ -193,5 +283,5 @@
       Left = 0
       Top = 0
-      Width = 655
+      Width = 594
       Height = 57
       Align = alTop
@@ -201,5 +291,5 @@
         Left = 0
         Top = 17
-        Width = 655
+        Width = 594
         Height = 25
         Align = alTop
@@ -212,5 +302,5 @@
         Left = 0
         Top = 0
-        Width = 655
+        Width = 594
         Height = 17
         Align = alTop
@@ -222,9 +312,17 @@
       object TabControl1: TTabControl
         Left = 0
-        Top = 40
-        Width = 655
-        Height = 17
-        Align = alBottom
+        Top = 42
+        Width = 594
+        Height = 20
+        Align = alTop
+        Font.Charset = DEFAULT_CHARSET
+        Font.Color = clWindowText
+        Font.Height = -11
+        Font.Name = 'MS Sans Serif'
+        Font.Style = []
         HotTrack = True
+        ParentFont = False
+        Style = tsButtons
+        TabHeight = 16
         TabOrder = 0
         TabStop = False
@@ -236,12 +334,28 @@
       Left = 0
       Top = 181
-      Width = 655
-      Height = 159
+      Width = 594
+      Height = 436
       Align = alClient
       TabOrder = 2
+      object WebBrowser1: TWebBrowser
+        Left = 1
+        Top = 31
+        Width = 592
+        Height = 277
+        TabStop = False
+        Align = alClient
+        TabOrder = 1
+        OnDocumentComplete = WebBrowser1DocumentComplete
+        ControlData = {
+          4C0000002F3D0000A11C00000000000000000000000000000000000000000000
+          000000004C000000000000000000000001000000E0D057007335CF11AE690800
+          2B2E126208000000000000004C0000000114020000000000C000000000000046
+          8000000000000000000000000000000000000000000000000000000000000000
+          00000000000000000100000000000000000000000000000000000000}
+      end
       object Memo1: TMemo
         Left = 1
         Top = 1
-        Width = 653
+        Width = 592
         Height = 30
         TabStop = False
@@ -259,26 +373,10 @@
         OnKeyUp = Memo1KeyUp
       end
-      object WebBrowser1: TWebBrowser
-        Left = 1
-        Top = 31
-        Width = 653
-        Height = 127
-        TabStop = False
-        Align = alClient
-        TabOrder = 1
-        OnDocumentComplete = WebBrowser1DocumentComplete
-        ControlData = {
-          4C0000007D430000200D00000000000000000000000000000000000000000000
-          000000004C000000000000000000000001000000E0D057007335CF11AE690800
-          2B2E126208000000000000004C0000000114020000000000C000000000000046
-          8000000000000000000000000000000000000000000000000000000000000000
-          00000000000000000100000000000000000000000000000000000000}
-      end
       object memText: TRichEdit
         Left = 1
-        Top = 31
-        Width = 653
+        Top = 308
+        Width = 592
         Height = 127
-        Align = alClient
+        Align = alBottom
         Color = clCream
         Font.Charset = ANSI_CHARSET
@@ -293,4 +391,5 @@
         ScrollBars = ssBoth
         TabOrder = 2
+        Visible = False
         WantReturns = False
         WordWrap = False
@@ -300,5 +399,5 @@
       Left = 0
       Top = 57
-      Width = 655
+      Width = 594
       Height = 120
       Align = alTop
@@ -308,5 +407,5 @@
         Left = 1
         Top = 1
-        Width = 653
+        Width = 592
         Height = 118
         Hint = 'To sort, click on column headers|'
